<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:b="http://bootsfaces.net/ui">

	<h:body>

	<f:metadata>
		<f:event listener="#{mbArticleStock.init()}" type="preRenderView"/>
	</f:metadata>	


	<ui:composition template="/admin/adminPage.xhtml">
	<ui:define name="content" >
<div class="leftPage">


<h3 style="color: #35cbdf; font-family: Arial, sans-serif; font-size:50px" align="center"  >
	<h:outputText value="Etat du Stock"/>
</h3>
 
<h:form>
<br/>
	<b:link  value="création Mouvement" href="/AppWeb/faces/mouvement/ajoutMouvement.xhtml" styleClass="btn btn-primary" size="sm" span="2" offset-sm="5" /> 
<br/><br/><br/> 
  <b:dataTable value="#{mbArticleStock.articlesStock}"
               var="articleStock" span="8" offset="2">
               
    <b:dataTableColumn value="#{articleStock.article.id}" width="5%" label="Référence"></b:dataTableColumn>
    <b:dataTableColumn value="#{articleStock.article.nom}" width="20%" label="Libellé"></b:dataTableColumn>
    <b:dataTableColumn value="#{articleStock.qtyStock}" width="15%" label="Stock théorique"></b:dataTableColumn>
    <b:dataTableColumn value="#{articleStock.mvtCommande}" width="15%" label="Mvt Commande"></b:dataTableColumn>
   	<b:dataTableColumn value="#{articleStock.perte}" width="15%" label="Perte"></b:dataTableColumn>
    <b:dataTableColumn value="#{articleStock.qtyStockDispo}" width="15%" label="Stock disponible"></b:dataTableColumn>
    <b:dataTableColumn label="Consulter" width="15%">
		<b:button href="/AppWeb/faces/article/articleDetail.xhtml?id=#{articleStock.article.id}" value="Détails" look="primary" size="xs"></b:button>
	</b:dataTableColumn>
     
  </b:dataTable>
</h:form>
    

</div>
</ui:define>
</ui:composition>

</h:body>
</html>